Bug 205251 - compat-gcc-32-debuginfo contains symlinks to a buildroot
compat-gcc-32-debuginfo contains symlinks to a buildroot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compat-gcc-32 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On: 204435
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 11:51 EDT by Radek Bíba
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 08:03:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-09-05 11:51:13 EDT
rpm -qvpl compat-gcc-32-debuginfo-3.2.3-55.fc5.i386.rpm says e.g.:
lrwxrwxrwx    1 root    root               93 Feb 11  2006
/usr/src/debug/gcc-3.2.3-20040701/obj-i386-redhat-linux/i386-redhat-linux/libst
dc++33-v3/include/backward/strstream ->
/usr/src/build/702660-i386/BUILD/gcc-3.2.3-20040701/libstdc++33-v3/include/backward/strstream
lrwxrwxrwx    1 root    root               91 Feb 11  2006
/usr/src/debug/gcc-3.2.3-20040701/obj-i386-redhat-linux/i386-redhat-linux/libst
dc++33-v3/include/bits/basic_ios.h ->
/usr/src/build/702660-i386/BUILD/gcc-3.2.3-20040701/libstdc++33-v3/include/bits/basic_ios.h
...

That's insane, the target files cannot exist on a system this package will be
installed on.
Comment 1 Radek Bíba 2006-09-05 12:33:26 EDT
/usr/src/build... is the target in beehive-built packages, which is the case of
fc5. It's /builddir/build/BUILD... in devel, where brew is being used. Sorry for
the confusion.
Comment 2 Radek Bíba 2006-09-06 14:46:23 EDT
rpm is to blame.

Please don't close this bug until the dependent one is fixed and compat-gcc-32 is
rebuilt.
Comment 3 Jakub Jelinek 2006-10-04 08:03:22 EDT
The rpm bug was fixed, but this hasn't made it into FC6.  It is not severe
enough to warrant an update and/or rebuild, when it is rebuild in FC7 time,
it will just be fixed.  There is no point in keeping this bug open.

Note You need to log in before you can comment on or make changes to this bug.